# Class Pixel

java.lang.Object
fr.iutfbleau.sae.mpif.Pixel

public class Pixel extends Object
Cette classe représente un pixel composé de trois valeurs : rouge, vert et bleu. Chaque valeur est comprise entre 0 et 255. La classe sert surtout pour manipuler les pixels dans une image RGB.

## Constructor Summary

Constructors
Constructor
Description
`Pixel(int red, int green, int blue)`
Crée un pixel avec ses trois composantes.

## Method Summary

Modifier and Type
Method
Description
`int`
`getB()`
Retourne la composante bleue du pixel.
`int`
`getG()`
Retourne la composante verte du pixel.
`int`
`getR()`
Retourne la composante rouge du pixel.
`void`
`setB(int b)`
Modifie la composante bleue du pixel.
`void`
`setG(int g)`
Modifie la composante verte du pixel.
`void`
`setR(int r)`
Modifie la composante rouge du pixel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pixel

public Pixel(int red, int green, int blue)
Crée un pixel avec ses trois composantes.

Parameters:
  `red` - valeur de la composante rouge
  `green` - valeur de la composante verte
  `blue` - valeur de la composante bleue

## Method Details

### getB

public int getB()
Retourne la composante bleue du pixel.

### getG

public int getG()
Retourne la composante verte du pixel.

### getR

public int getR()
Retourne la composante rouge du pixel.

### setR

public void setR(int r)
Modifie la composante rouge du pixel.

### setB

public void setB(int b)
Modifie la composante bleue du pixel.

### setG

public void setG(int g)
Modifie la composante verte du pixel.